Incidents/Notes
This endpoint is used to get all the note details of incidentID mentioned params.
Requires
access_tokenas aBearer {{token}}in theAuthorizationheader.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/incidents/{IncidentId}/warroom HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"created_at": "text",
"updated_at": "text",
"organization_id": "text",
"incident_id": "text",
"user_id": "text",
"message": "text",
"type": "text",
"attachments": [
"text"
],
"user": {
"id": "text",
"first_name": "text",
"last_name": "text",
"deleted": true
},
"replaced_message": "text"
}
]
}Required
Request body for creating a new note.
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/incidents/{IncidentId}/warroom HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"message": "text",
"attachments": [
"text"
]
}{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"organization_id": "text",
"incident_id": "text",
"user_id": "text",
"message": "text",
"type": "text",
"attachments": [
"text"
],
"user": {
"id": "text",
"first_name": "text",
"last_name": "text",
"deleted": true
},
"replaced_message": "text"
}
}This API can be used to update a Note or a Resolution reason associated with an incident
Required
Request body for updating an existing note.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/incidents/{IncidentId}/warroom/{NoteId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"message": "text",
"attachments": [
"text"
]
}{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"organization_id": "text",
"incident_id": "text",
"user_id": "text",
"message": "text",
"type": "text",
"attachments": [
"text"
],
"user": {
"id": "text",
"first_name": "text",
"last_name": "text",
"deleted": true
},
"replaced_message": "text"
}
}delete note from incidentId mentioned in params.
Requires access_token as a Bearer {{token}} in the Authorization header with service-write scope.
Required
Required
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/incidents/{IncidentId}/warroom/{NoteId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
authorization: text
Accept: */*
{}Last updated